package com.persagy.dmp.rwd.define.dao;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.dmp.define.entity.RelationDefine;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 关系定义 DAO
 * @author Charlie Yu
 * @date 2021-06-25
 */
public interface RelationDefineMapper extends BaseMapper<RelationDefine> {
    /***
     * Description: 根据条件查询数据
     * @param queryWrapper : 查询条件
     * @return : java.util.List<com.persagy.dmp.define.entity.RelationDefine>
     * @author : lijie
     * @date :2021/11/23 17:24
     * Update By lijie 2021/11/23 17:24
     */
    List<RelationDefine> queryListByCondition(@Param("ew") LambdaQueryWrapper<RelationDefine> queryWrapper);
}
