package com.persagy.dmp.rwd.simple.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.persagy.dmp.basic.dto.RequestData;
import com.persagy.dmp.digital.entity.ObjectDigital;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @author lvxy
 * @date 2021/10/9
 */
public interface SystemCustomMapper extends BaseMapper<ObjectDigital> {
    /**
     *确定建筑不确定楼层 buildingId is not null
     */
    Page<Map<String,Object>> querySystemNotSureFloor(Page<Map<String,Object>> page,@Param("param") RequestData requestData);

    /**
     *不确定建筑 buildingId is null
     */
    Page<Map<String,Object>> querySystemNotSureBuilding(Page<Map<String,Object>> page,@Param("param") RequestData requestData);
}
