package com.persagy.dmp.rwd.simple.service;

import com.persagy.dmp.digital.entity.ObjectRelation;
import com.persagy.dmp.rwd.simple.domain.CountRequestData;

import java.util.List;

/***
 * Description: 关系数据相关的统计逻辑处理类
 * @author : lijie
 * @date :2021/10/28 10:16
 * Update By lijie 2021/10/28 10:16
 */
public interface RelationReportService {

    /***
     * Description: 根据对象id统计关系数量
     * @param requestData : 请求参数
     * @author : lijie
     * @date :2021/10/28 10:16
     * Update By lijie 2021/10/28 10:16
     */
    List<ObjectRelation> queryRelationCountByObjIds(CountRequestData requestData);
}
