package com.persagy.dmp.auth.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

@Data
@ToString
@EqualsAndHashCode
public class Group {
    @JSONField(name = "groupCode",alternateNames = {"GroupCode","groupCode"})
    @JsonAlias({"GroupCode","groupCode"})
    @JsonProperty("groupCode")
    private String groupCode;
    @JSONField(name = "groupName",alternateNames = {"GroupName","groupName"})
    @JsonAlias({"GroupName","groupName"})
    @JsonProperty("groupName")
    private String groupName;
    @JSONField(name = "projects",alternateNames = {"Projects","projects"})
    @JsonAlias({"Projects","projects"})
    @JsonProperty("projects")
    private List<Project> projects;

}
