package com.persagy.dmp.basic.constant;

/**
 * 消息相关常量
 * @author Charlie Yu
 * @date 2021-06-25
 */
public interface DigitalMessageConstant {

    /** 对象消息队列-queue */
    String MESSAGE_DIGITAL_OBJECT_QUEUE = "queue-bdtp-digital-object";
    /** 关系消息队列-queue */
    String MESSAGE_DIGITAL_RELATION_QUEUE = "queue-bdtp-digital-relation";
    /** 消息-exchange */
    String MESSAGE_EXCHANGE = "exchange-bdtp-digital";
    /** 消息-路由Key */
    String MESSAGE_ROUTING = "routing-bdtp-digital-save";

    /** 新增前 */
    String OPERATE_BEFORE_INSERT = "BeforeInsert";
    /** 修改前 */
    String OPERATE_BEFORE_UPDATE = "BeforeUpdate";
    /** 删除前 */
    String OPERATE_BEFORE_DELETE = "BeforeDelete";
    /** 新增后 */
    String OPERATE_AFTER_INSERT = "AfterInsert";
    /** 修改后 */
    String OPERATE_AFTER_UPDATE = "AfterUpdate";
    /** 删除后 */
    String OPERATE_AFTER_DELETE = "AfterDelete";
}
