package com.persagy.dmp.file.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

@Data
@EqualsAndHashCode
@ToString
public class UploadMes {
    /**文件id*/
    private String id;
    /**文件上传成功code,200-秒传,201-单个文件上传,202-断点续传且文件分片均已上传,203-断点续传*/
    private Integer uploadCode;
    /**文件上传信息*/
    private List<UploadSubMes> content;
}
