package com.persagy.dmp.rwd.qrcode.service;

import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.dmp.digital.entity.ObjectDigital;

import java.util.List;

public interface QrCodeService {

    /**
     * 生成默认二维码
     * @param objectDigitals
     */
    void createDefaultQrCode(List<ObjectNode> objectDigitals);

    /**
     * 创建对象二维码信息
     * @param groupCode
     * @param projectId
     * @param digital
     * @return
     */
    List<ObjectDigital> createObjectQrCode(String groupCode, String projectId, ObjectNode digital);


    /**
     * 删除对象二维码
     * @param groupCode
     * @param projectId
     * @param digital
     */
    void removeQrCodePic(String groupCode,String projectId,ObjectNode digital);
}
