package com.persagy.dmp.rwd.digital.domain;

import com.fasterxml.jackson.databind.node.ArrayNode;
import com.fasterxml.jackson.databind.node.ObjectNode;
import lombok.Data;

import java.util.LinkedHashMap;
import java.util.List;

@Data
public class SpaceCalDTO {
    /** 空间id */
    private String spaceId;
    /** 楼层id */
    private String floorId;
    /** 空间对象类型 */
    private String classCode;
    /** 楼层模型id */
    private String floorModelId;
    /** 集团编码 */
    private String groupCode;
    /** 项目id */
    private String projectId;
    /** 对象的bim点坐标 */
    private ObjectNode bimLocation;
    /** 对象的outline平面坐标 */
    private ArrayNode outLines;
    /** 对象id */
    private String id;
    /** 模型文件id */
    private String modelId;
    /** 第一个点坐标 */
    private ObjectNode firstPoint;
    /** 第二个点坐标 */
    private ObjectNode secondPoint;

}
