package com.persagy.dmp.file.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.HashMap;
import java.util.Map;

/***
 * Description: 兼容旧文件服务的账号配置
 * @author : lijie
 * @date :2021/11/19 14:21
 * Update By lijie 2021/11/19 14:21
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "persagy.common.token")
public class AccountConfig {
    private Map<String,String> accountMap;

}
