package com.persagy.dmp.auth.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Data
@ToString
@EqualsAndHashCode
public class Project {
    @JSONField(name = "projectId",alternateNames = {"ProjectId","projectId"})
    @JsonAlias({"ProjectId","projectId"})
    @JsonProperty("projectId")
    private String projectId;
    @JSONField(name = "projectName",alternateNames = {"ProjectName","projectName"})
    @JsonAlias({"ProjectName","projectName"})
    @JsonProperty("projectName")
    private String projectName;
}
