package com.persagy.dmp.file.constant;

/**
 * 文件管理常量
 * @author Charlie Yu
 * @date 2021-05-15
 */
public interface FileCommonConst {

    /** 默认桶名 */
    String DEFAULT_BUCKET = "default";
    /** 链接有效期(秒)：7天 */
    int URL_EXPIRES = 7 * 24 * 3600;
    /**上传成功*/
    Integer UPLOAD_SUCCESS = 0;

    /**部分上传*/
    Integer UPLOAD_PART = 1;
    /** 桶名校验正则 */
    String BUCKET_PATTERN = "^[a-z0-9][a-z0-9\\-]*[a-z0-9]$";
}
